<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Exercise - 1 for Frontend Development">
		<meta name="keywords" content="HTML, Frontend, Semantic, Tags, Exercise-1">
		<meta name="author" content="Rafael Rojas, Raquel Perez">
		<link rel="icon" href="sloth.png">
		<title>Exercise 1 - 3</title>

		<style>
			body {
				font-family: Arial;
			}
			
			div {
				display: flex;
				margin-bottom: 3px;
			}

			legend {
				font-weight: bold; 
				color: blue;
			}

			.label {
				width: 30%;
			}

			.input {
				width: 30%;
			}

			.errorMessage {
				margin-left: 10px;
				color: red;
			}

			.button-container {
				margin-top: 3px;
			}
		</style>
</head>
<body>
	<h1>Reservation Request</h1>
	<form action="" method="POST" id="form">
		<fieldset>
			<legend>General Information</legend>
				<div>
					<label class="label" for="arrivalDate">Arrival date:</label>
					<input class="input" type="date" id="arrivalDate" name="arrivalDate">
					<div id="arrivalDateErrorMessage" class="errorMessage"></div>
				</div>
				<div>
					<label class="label" for="nights">Nights:</label>
					<input class="input" type="text" id="nights" name="nights" placeholder="number of nights">
					<div id="nightsErrorMessage" class="errorMessage"></div>
				</div>
				<div>
					<label class="label" for="">Adults:</label>
					<select name="select" id="adults">
						<option value="value1">1</option>
						<option value="value2">2</option>
						<option value="value3">3</option>
					</select>
				</div>
				<div>
					<label class="label" for="">Children:</label>
					<select name="select" id="children">
						<option value="0">0</option>
						<option value="1">1</option>
						<option value="2">2</option>
					</select>
				</div>
		</fieldset>
		<fieldset>
			<legend>Preferences</legend>
				<div>
					<label class="label">Room type:</label>
						<input type="radio" id="standard" name="room" value="Standard">
						<label for="standard">Standard</label><br>
						<input type="radio" id="business" value="Business" name="room">
						<label for="business">Business</label><br>
						<input type="radio" id="suite" value="Suite" name="room">
						<label for="suite">Suite</label>
				</div>
				<div>
					<label class="label">Bed type:</label>
					<input type="radio" value="king" id="king" name="bed">
					<label for="king">King</label>
					<input type="radio" value="doubledouble" id="doubledouble" name="bed">
					<label for="doubledouble">Double Double</label>
				</div>
				<label>
					<input type="checkbox" id="smoking" value="smoking">
					Smoking
				</label>
		</fieldset>
		<fieldset>
			<legend>Contact Information</legend>
				<div>
					<label class="label" for="name">Name:</label>
					<input class="input" type="text" id="name" name="name" placeholder="name">
					<div id="nameErrorMessage" class="errorMessage"></div>
				</div>
				<div>
					<label class="label" for="email">Email:</label>
					<input class="input" type="email" id="email" name="email" placeholder="email">
					<div id="emailErrorMessage" class="errorMessage"></div>
				</div>
				<div>
					<label class="label" for="phone">Phone:</label>
					<input class="input" type="text" id="phone" name="phone" placeholder="phone number">
					<div id="phoneErrorMessage" class="errorMessage"></div>
				</div>
		</fieldset>
		<div class="button-container">
			<button type="submit" id="submit">Submit Reservation</button>
			<button type="reset">Clear</button>
		</div>
	</form>

	<script src="ejercicio-3.js"></script>
</body>
</html>